<ul kendo-panel-bar class="t-side-panel-bgcolor mi-dat-timeseries-value-config" style="font-size: 14px">
  <li class="k-state-active">
    <span class="panel-bar-label-no-wrap">{{::res.CoreOptions}}</span>

    <div style="margin: 10px 10px 15px 5px">
      <div class="config-option-single-row" style="margin: 10px 0 0 5px">
        <div class="config-option-ie11-overflow-fix" style="justify-content: space-between; margin: 0 0 0 5px; padding: 6px 0">
          <div style="margin: 4px 10px 4px 0">{{::res.NumberOfRecords}}</div>
          <input
            type="number"
            ng-keydown="runtimeData.allowOnlyNumericInput($event)"
            ng-model="config.NumberRecordsShown"
            ng-model-options="{ debounce: 1000 }"
            style="max-width: 75px !important; flex: 1 1 auto"
          />
        </div>
      </div>

      <div class="config-option-single-row" style="margin: 10px 0px 5px 10px">
        <div class="config-label">{{::res.DateStyle}}</div>
        <select ng-model="config.DateStyle" class="config-option-list" style="width: 95px; float: right">
          <option value="short">{{::res.ValueConfigDateTimeStyleShort}}</option>
          <option value="medium">{{::res.ValueConfigDateTimeStyleMedium}}</option>
          <option value="long">{{::res.ValueConfigDateTimeStyleLong}}</option>
          <option value="full">{{::res.ValueConfigDateTimeStyleFull}}</option>
        </select>
      </div>

      <div class="config-option-single-row" style="margin: 10px 0px 5px 10px">
        <div class="config-label">{{::res.TimeStyle}}</div>
        <select ng-model="config.TimeStyle" class="config-option-list" style="width: 95px; float: right">
          <option value="short">{{::res.ValueConfigDateTimeStyleShort}}</option>
          <option value="medium">{{::res.ValueConfigDateTimeStyleMedium}}</option>
          <option value="long">{{::res.ValueConfigDateTimeStyleLong}}</option>
          <option value="full">{{::res.ValueConfigDateTimeStyleFull}}</option>
        </select>
      </div>

      <div style="margin: 10px 0 0 5px">
        <div style="margin: 0 0 0 5px; padding: 6px 0">
          <pv-slider
            keyword="::res.BorderRadius"
            min="0.1"
            max="2"
            step="0.1"
            ng-model="config.BorderRadius"
            ng-model-options="{ getterSetter: true }"
          >
          </pv-slider>
        </div>
      </div>
    </div>
  </li>

  <li>
    <span class="panel-bar-label-no-wrap">{{::res.TableHeaderStyleKeyword}}</span>

    <div style="margin: 10px 10px 15px 5px">
      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-slider
          keyword="::res.HeaderTextSize"
          min="4"
          max="30"
          step="0.5"
          ng-model="config.TableHeaderTextSize"
          ng-model-options="{ getterSetter: true }"
        >
        </pv-slider>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.HeaderColor}}" ng-model="config.TableHeaderColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.HeaderBackgroundColor}}" ng-model="config.TableHeaderBackgroundColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.HeaderBorderColor}}" ng-model="config.TableHeaderBorderColor"></pv-color-picker>
      </div>

      <div class="config-option-single-row" style="margin: 10px 0px 5px 10px">
        <div class="config-label">{{::res.TimeAlignment}}</div>
        <select ng-model="config.TableHeaderTimestampAlignment" class="config-option-list" style="width: 95px; float: right">
          <option value="left">{{::res.ValueConfigTextAlignmentLeft}}</option>
          <option value="center">{{::res.ValueConfigTextAlignmentCenter}}</option>
          <option value="right">{{::res.ValueConfigTextAlignmentRight}}</option>
        </select>
      </div>

      <div class="config-option-single-row" style="margin: 10px 0px 5px 10px">
        <div class="config-label">{{::res.ValueAlignment}}</div>
        <select ng-model="config.TableHeaderValueAlignment" class="config-option-list" style="width: 95px; float: right">
          <option value="left">{{::res.ValueConfigTextAlignmentLeft}}</option>
          <option value="center">{{::res.ValueConfigTextAlignmentCenter}}</option>
          <option value="right">{{::res.ValueConfigTextAlignmentRight}}</option>
        </select>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.TableColumnSettingsColor}}" ng-model="config.TableColumnSettingsColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.SortIconColor}}" ng-model="config.TableSortIconColor"></pv-color-picker>
      </div>
    </div>
  </li>

  <li>
    <span class="panel-bar-label-no-wrap">{{::res.TableRowStyleKeyword}}</span>

    <div style="margin: 10px 10px 15px 5px">
      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-slider
          keyword="::res.TableRowTextSize"
          min="4"
          max="30"
          step="0.5"
          ng-model="config.TableRowTextSize"
          ng-model-options="{ getterSetter: true }"
        >
        </pv-slider>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.TableRowEvenTextColor}}" ng-model="config.TableRowEvenColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.TableRowEvenBackgroundColor}}" ng-model="config.TableRowEvenBackgroundColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.TableRowOddTextColor}}" ng-model="config.TableRowOddColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.TableRowOddBackgroundColor}}" ng-model="config.TableRowOddBackgroundColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.TableRowBorderColor}}" ng-model="config.TableRowBorderColor"></pv-color-picker>
      </div>

      <div class="config-option-single-row" style="margin: 10px 0px 5px 10px">
        <div class="config-label">{{::res.TimeAlignment}}</div>
        <select ng-model="config.TableRowTimestampAlignment" class="config-option-list" style="width: 95px; float: right">
          <option value="left">{{::res.ValueConfigTextAlignmentLeft}}</option>
          <option value="center">{{::res.ValueConfigTextAlignmentCenter}}</option>
          <option value="right">{{::res.ValueConfigTextAlignmentRight}}</option>
        </select>
      </div>

      <div class="config-option-single-row" style="margin: 10px 0px 5px 10px">
        <div class="config-label">{{::res.ValueAlignment}}</div>
        <select ng-model="config.TableRowValueAlignment" class="config-option-list" style="width: 95px; float: right">
          <option value="left">{{::res.ValueConfigTextAlignmentLeft}}</option>
          <option value="center">{{::res.ValueConfigTextAlignmentCenter}}</option>
          <option value="right">{{::res.ValueConfigTextAlignmentRight}}</option>
        </select>
      </div>
    </div>
  </li>

  <li>
    <span class="panel-bar-label-no-wrap">{{::res.ModalStyleKeyword}}</span>

    <div style="margin: 8px 0">
      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.HeaderColor}}" ng-model="config.ModalHeaderColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.HeaderBackgroundColor}}" ng-model="config.ModalHeaderBackgroundColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.HeaderBorderColor}}" ng-model="config.ModalHeaderBorderColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-slider
          keyword="::res.HeaderTextSize"
          min="4"
          max="30"
          step="0.5"
          ng-model="config.ModalHeaderTextSize"
          ng-model-options="{ getterSetter: true }"
        >
        </pv-slider>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.BodyColor}}" ng-model="config.ModalBodyColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.BodyBackgroundColor}}" ng-model="config.ModalBodyBackgroundColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-slider
          keyword="::res.BodyTextSize"
          min="4"
          max="30"
          step="0.5"
          ng-model="config.ModalBodyTextSize"
          ng-model-options="{ getterSetter: true }"
        >
        </pv-slider>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.InputBorderColor}}" ng-model="config.ModalInputBorderColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.InputBackgroundColor}}" ng-model="config.ModalInputBackgroundColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.InputColor}}" ng-model="config.ModalInputColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.SelectBorderColor}}" ng-model="config.ModalSelectBorderColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.SelectBackgroundColor}}" ng-model="config.ModalSelectBackgroundColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.SelectColor}}" ng-model="config.ModalSelectColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.CheckboxBorderColor}}" ng-model="config.ModalCheckboxBorderColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.CheckboxBackgroundColor}}" ng-model="config.ModalCheckboxBackgroundColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker
          colorkeyword="{{::res.CheckboxTickedBackgroundColor}}"
          ng-model="config.ModalCheckboxTickedBackgroundColor"
        ></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.FooterBackgroundColor}}" ng-model="config.ModalFooterBackgroundColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.FooterBorderColor}}" ng-model="config.ModalFooterBorderColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-slider
          keyword="::res.FooterTextSize"
          min="4"
          max="30"
          step="0.5"
          ng-model="config.ModalFooterTextSize"
          ng-model-options="{ getterSetter: true }"
        >
        </pv-slider>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.CloseButtonColor}}" ng-model="config.ModalCloseButtonColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.CloseButtonBackgroundColor}}" ng-model="config.ModalCloseButtonBackgroundColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.CloseButtonBorderColor}}" ng-model="config.ModalCloseButtonBorderColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.SaveButtonColor}}" ng-model="config.ModalSaveButtonColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.SaveButtonBackgroundColor}}" ng-model="config.ModalSaveButtonBackgroundColor"></pv-color-picker>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.SaveButtonBorderColor}}" ng-model="config.ModalSaveButtonBorderColor"></pv-color-picker>
      </div>
    </div>
  </li>

  <li>
    <span class="panel-bar-label-no-wrap">{{::res.ValueConfigLabel}}</span>

    <div style="margin: 10px 20px 15px 10px">
      <label class="flex-align-center">
        <input type="checkbox" class="c-config-checkbox" ng-model="config.ShowLabel" />{{::res.ValueConfigLabel}}<br />
      </label>

      <pv-label-options
        ng-show="config.ShowLabel"
        ng-model="runtimeData.labelSettings"
        label-metadata="runtimeData.metaData"
        ng-model-options="{ getterSetter: true }"
      ></pv-label-options>

      <div ng-show="config.ShowLabel" class="config-option-single-row" style="margin: 10px 0px 5px 10px">
        <div class="config-label">{{::res.LabelAlignment}}</div>
        <select ng-model="config.LabelAlignment" class="config-option-list" style="width: 95px; float: right">
          <option value="left">{{::res.ValueConfigTextAlignmentLeft}}</option>
          <option value="center">{{::res.ValueConfigTextAlignmentCenter}}</option>
          <option value="right">{{::res.ValueConfigTextAlignmentRight}}</option>
        </select>
      </div>

      <div style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-slider
          ng-show="config.ShowLabel"
          ng-model="config.LabelTextSize"
          ng-model-options="{ getterSetter: true }"
          keyword="::res.LabelTextSize"
          min="4"
          max="30"
          step="0.5"
        >
        </pv-slider>
      </div>

      <div ng-show="config.ShowLabel" style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.LabelColor}}" ng-model="config.LabelColor"></pv-color-picker>
      </div>

      <div ng-show="config.ShowLabel" style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.LabelBackgroundColor}}" ng-model="config.LabelBackgroundColor"></pv-color-picker>
      </div>

      <div ng-show="config.ShowLabel" style="margin: 0 0 0 10px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.LabelBorderColor}}" ng-model="config.LabelBorderColor"></pv-color-picker>
      </div>
    </div>
  </li>
</ul>
